.youtube {
  grid-column: 1 / -1;
  padding-top: var(--space-10);
  padding-bottom: var(--space-10);
}

.youtube__headline,
.youtube__container,
.youtube__text {
  width: 87.5vw;
  margin-left: auto;
  margin-right: auto;
}

.youtube__headline {
  margin-bottom: var(--space-7);
}
@media (min-width: 600px) {
  .youtube__headline {
    text-align: center;
    max-width: var(--block-text-width);
  }
}

.youtube__container,
.youtube__text {
  max-width: var(--block-text-wide-width);
}

.youtube__play-button {
  position: absolute;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  display: block;
  width: 60px;
  height: 60px;
  transform: scale(1);
  transition: transform 0.2s;
}
@media (min-width: 600px) {
  .youtube__play-button {
    top: calc(50% - 60px);
    left: calc(50% - 60px);
    width: 120px;
    height: 120px;
  }
}

.youtube__video:hover .youtube__play-button {
  transform: scale(1.1);
}

.youtube__video {
  position: relative;
  display: block;
  height: 0;
  margin-bottom: var(--space-7);
  padding-bottom: 56.25%;
}
.youtube__thumbnail,
.youtube__video--playing iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.intro + .youtube {
  padding-top: var(--space-20);
  padding-bottom: 0;
}
